> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mezmo.ferndocs.com/api-reference/log-analysis/enterprise/delete-org/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server. # Detach a child org from Enterprise DELETE https://api.mezmo.com/v1/enterprise/account/{accountId} Detaches a child organization from the enterprise. The child organization is not deleted and can continue to work afterwards. Reference: https://mezmo.ferndocs.com/api-reference/log-analysis/enterprise/delete-org ## Authentication - `enterprise-servicekey` header (required) — When authorizing against our enterprise endpoints, they expect an enterprise service key instead of a regular organization service key. Some endpoints might expect both an enterprise service key and a regular organization service key. ## Request ### Path parameters - `accountId` (string, required) — Account number of the organization ## Response ### 200 The child org was removed successfully, a simple status is returned. - `account` (string, optional) — Account number of the organization ## Errors ### 400 Bad Request Error Invalid body - `error` (string, optional) — A human-readable description of the error - `code` (string, optional) — A unique code for the type of error - `status` (string, optional) — The status of the request ### 409 Conflict Error Account enterprise id mismatch - `error` (string, optional) — A human-readable description of the error - `code` (string, optional) — A unique code for the type of error - `status` (string, optional) — The status of the request ## Examples **Response** ```json { "account": "0000000000" } ``` **SDK Code** ```python import requests url = "https://api.mezmo.com/v1/enterprise/account/0000000000" headers = {"enterprise-servicekey": ""} response = requests.delete(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mezmo.com/v1/enterprise/account/0000000000'; const options = {method: 'DELETE', headers: {'enterprise-servicekey': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.mezmo.com/v1/enterprise/account/0000000000" req, _ := http.NewRequest("DELETE", url, nil) req.Header.Add("enterprise-servicekey", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mezmo.com/v1/enterprise/account/0000000000") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Delete.new(url) request["enterprise-servicekey"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.delete("https://api.mezmo.com/v1/enterprise/account/0000000000") .header("enterprise-servicekey", "") .asString(); ``` ```php request('DELETE', 'https://api.mezmo.com/v1/enterprise/account/0000000000', [ 'headers' => [ 'enterprise-servicekey' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mezmo.com/v1/enterprise/account/0000000000"); var request = new RestRequest(Method.DELETE); request.AddHeader("enterprise-servicekey", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["enterprise-servicekey": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v1/enterprise/account/0000000000")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "DELETE" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```